unit MainForm;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  NumberConvert, StdCtrls;

type
  TfrmMain = class(TForm)
    Label1: TLabel;
    btnConvertToText: TButton;
    btnConvertToRoman: TButton;
    edNumber: TEdit;
    edRoman: TEdit;
    memText: TMemo;
    NumberToRoman1: TNumberToRoman;
    NumberToText1: TNumberToText;
    procedure btnConvertToRomanClick(Sender: TObject);
    procedure btnConvertToTextClick(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  frmMain: TfrmMain;

implementation

{$R *.DFM}

procedure TfrmMain.btnConvertToRomanClick(Sender: TObject);
var
  x: integer;
begin
  x := StrToInt(edNumber.Text);
  if x < 0 then
    ShowMessage('Negative number can''t be converted to roman notation.')
  else
  begin
    NumberToRoman1.Number := x;
    edRoman.Text := NumberToRoman1.RomanNumber
  end
end;

procedure TfrmMain.btnConvertToTextClick(Sender: TObject);
begin
  NumberToText1.Number := StrToFloat(edNumber.Text);
  memText.Lines.Text := NumberToText1.Text
end;

end.
